⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request POST \
--url https://api.propops.app/api/agents/branches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "assign",
"agent_uuid": "880e8400-e29b-41d4-a716-446655440001",
"branch_id": 1,
"csrf_token": "abc123def456"
}
'{
"success": true,
"message": "Operation completed successfully"
}Assign an agent to a branch or remove the assignment. Required permission: api.agents.branches.manage
curl --request POST \
--url https://api.propops.app/api/agents/branches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "assign",
"agent_uuid": "880e8400-e29b-41d4-a716-446655440001",
"branch_id": 1,
"csrf_token": "abc123def456"
}
'{
"success": true,
"message": "Operation completed successfully"
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...